Skip to main content
POST
/
api
/
v1
/
commit_tags
cURL
curl --request POST \
  --url https://api.example.com/api/v1/commit_tags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tag_name": "<string>",
  "description": "<string>"
}
'
{
  "commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tag_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tag_name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for POST /api/v1/commit_tags

commit_id
string<uuid>
required

The commit ID this tag should point to

tag_name
string
required

The name of the tag (alphanumeric, hyphens, underscores, dots, 1-64 chars)

description
string | null

Optional description of what this tag represents

Response

Tag created successfully

Response body for POST /api/v1/commit_tags

commit_id
string<uuid>
required

The commit ID this tag points to

tag_id
string<uuid>
required

The ID of the newly created tag

tag_name
string
required

The name of the tag